package com.allinpay.yst2.demo.tx;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 【担保消费申请】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx2089Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
	 //收款人列表
      List<Map<String, Object>> receiverList = new ArrayList<>();
      Map<String, Object> map1 = new HashMap<>();
      map1.put("signNum", "9665wxl202400009");
      map1.put("amount", 2);
      receiverList.add(map1);

      Map<String, Object> map2 = new HashMap<>();
      map2.put("signNum", "9665wxl202400003");
      map2.put("amount", 2);
      receiverList.add(map2);
      
    	// 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", "wxl"+TxUtils.genReqTraceNum());
        bizParameter.addParam("signNum", "123456");//商户会员编号-付款人
        bizParameter.addListParam("receiverList", receiverList);
        bizParameter.addParam("orderAmount", 4);//订单金额
        bizParameter.addParam("payAmount", 0);//支付金额
        bizParameter.addParam("promotionAmount", 4);//营销金额
        bizParameter.addParam("reqsUrl", "http://www.baidu.com");
        bizParameter.addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        bizParameter.addParam("orderValidTime", "");
        bizParameter.addParam("goodsType", "1");
        bizParameter.addParam("bizGoodsNo", "bizGoodsNo123456");
        bizParameter.addParam("goodsName", "goodsName123456");
        bizParameter.addParam("goodsDesc", "goodsDesc123456");
        bizParameter.addParam("industryCode", "111111");
        bizParameter.addParam("industryName", "222222");
        bizParameter.addParam("summary", "摘要");
        // bizParameter.addParam("extendParams", "{\"extend\":\"abcdefghiii\"}");
        // 支付模式
        Map<String, Object> map = new HashMap<>();
        map.put("SCAN_WEIXIN", "{\"vspCusid\":\"\"}");
        bizParameter.addMapParam("payMode", map);
      
        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("2089", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
