package com.allinpay.yst2.demo.tx;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSON;
import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 【单订单担保确认】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx2090Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {        
    	//分账列表
        List<Map<String, Object>> sepDetail = new ArrayList<>();
        Map<String, Object> sepMap1 = new HashMap<>();
        sepMap1.put("signNum", "9665wxl202400006");//分账收款人会员编号
        sepMap1.put("amount", 1);
        sepMap1.put("remark", "remark");
        sepDetail.add(sepMap1);
        Map<String, Object> sepMap2 = new HashMap<>();
        sepMap2.put("signNum", "ysttwolp03");
        sepMap2.put("amount", 1);
      //sepMap1.put("remark", "remark");
//        sepDetail.add(sepMap2);
    	
    	//收款人列表
    	List<Map<String, Object>> receiverList = new ArrayList<>();
        Map<String, Object> rdMap1 = new HashMap<>();
        rdMap1.put("signNum", "9665wxl202400003");
        rdMap1.put("amount", 2);
        rdMap1.put("couponAmount", 0);
        rdMap1.put("sepDetail", JSON.toJSONString(sepDetail));
        receiverList.add(rdMap1);
        
        Map<String, Object> rdMap2 = new HashMap<>();
        rdMap2.put("signNum", "9665wxl202400003");
        rdMap2.put("amount", 2);
        rdMap2.put("couponAmount", 0);
//        rdMap2.put("sepDetail", JSON.toJSONString(sepDetail));
//        receiverList.add(rdMap2);
    	
    	// 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", "wxl"+TxUtils.genReqTraceNum());
//        bizParameter.addParam("orgReqTraceNum", "202401291705084746");
//        bizParameter.addParam("orgTransDate", "20240129");
        bizParameter.addParam("orgRespTraceNum", "20240225155256208901295028");
        bizParameter.addListParam("receiverList", receiverList);
        bizParameter.addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        bizParameter.addParam("summary", "摘要");
        bizParameter.addParam("extendParams", "{\"extend\":\"abcdefghiii\"}");
        

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("2090", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
