package com.allinpay.yst2.demo.tx;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.allinpay.yst2.demo.util.DemoSM4Utils;
import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 【提现申请】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx2290Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
    	//订单过期时间
	    final SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		final Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 720);
		final Date date = calendar.getTime();
		final String orderValidTime = sdf.format(date);
		
        // 支付模式        
        Map<String, Object> WITHDRAW_SFT = new HashMap<>(); 
        WITHDRAW_SFT.put("WITHDRAW_SFT","{\"payBankNumber\":\"\",\"payBankName\":\"\",\"province\":\"\",\"city\":\"\",\"settleType\":\"\"}");
       
    	
    	// 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("signNum", "9665wxl202400006");
        bizParameter.addParam("reqTraceNum", "wxl"+TxUtils.genReqTraceNum());
        bizParameter.addParam("acctType", 1);//1: 簿记账户（默认）、2：支付账户、4：应用营销账户
       // bizParameter.addParam("payAcctSubNo", "");//支付账号
        bizParameter.addParam("orderAmount", 3);
        bizParameter.addParam("couponAmount", 0);
        bizParameter.addParam("verifyType", 0);
        bizParameter.addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        bizParameter.addParam("orderValidTime", orderValidTime);
        bizParameter.addMapParam("payMode", WITHDRAW_SFT);
       // bizParameter.addParam("receiveAcctType", 1);
        bizParameter.addParam("acctNum", "6212261001029054530");
       // bizParameter.addParam("withdrawType", "D0");
        bizParameter.addParam("summary", "摘要");
         bizParameter.addParam("extendParams", "{\"extend\":\"小粒粒测试\"}");

        

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("2290", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
